Intermittent display blackouts on event

Bug #1875254 reported by thidau on 2020-04-26
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
OEM Priority Project
Undecided
Leon Liao
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Eoan
Medium
Unassigned
Focal
High
AceLan Kao
linux-oem-osp1 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

[Impact]
When audio device enters runpm D3(idle for 7 seconds) and then wakes it up to make a sound, it flicks the screen.
This behavior could be observed while plug/remove AC cable or USB disk, or open a terminal and press backsapce key.

[Fix]
This issue could be fixed by this commit, it fixes the flicker during boot-time, but it also fixes the flicker during rumtime wakeup.
1ee48a61aa57 drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only

Audio drivers communicate with i915 over HDA bus multiple times during system boot-up and each of these transactions result in matching
get_power/put_power calls to i915, and depending on the platform,
a modeset change causing visible flicker.

GLK is the only platform with minimum CDCLK significantly lower
than BCLK, and thus for GLK setting a higher CDCLK is mandatory.

For other platforms, minimum CDCLK is close but below 2*BCLK
(e.g. on ICL, CDCLK=176.4kHz with BCLK=96kHz). Spec-wise the constraint
should be set, but in practise no communication errors have been
reported and the downside if set is the flicker observed at boot-time.

[Test]
Verified on Dell XPS 13 9300

[Regression Potential]
Low, it fixes below commit which contains in ubuntu kernel and should have been applied on ubuntu kernel, too.
Fixes: f6ec9483091f ("drm/i915: extend audio CDCLK>=2*BCLK constraint to more platforms")

=========================================

Issues with the screen going black for a second on certain events on a dell XPS 9370 2 in 1, especially when on battery.
Seems to be a known bug in arch (https://wiki.archlinux.org/index.php/Dell_XPS_13_2-in-1_(7390)).
Last 5.6.7 kernel tested and the issues has disappears but pb with sound card.
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: lucie 2232 F.... pulseaudio
CasperMD5CheckResult: skip
CurrentDesktop: GNOME
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2020-04-25 (1 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: Dell Inc. XPS 13 7390 2-in-1
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-26-generic root=UUID=056fd229-d014-4b3b-a581-1b646105d1ed ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-26-generic N/A
 linux-backports-modules-5.4.0-26-generic N/A
 linux-firmware 1.187
Tags: focal
Uname: Linux 5.4.0-26-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 03/02/2020
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.3.1
dmi.board.name: 06CDVY
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 31
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.3.1:bd03/02/2020:svnDellInc.:pnXPS1373902-in-1:pvr:rvnDellInc.:rn06CDVY:rvrA00:cvnDellInc.:ct31:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 13 7390 2-in-1
dmi.product.sku: 08B0
dmi.sys.vendor: Dell Inc.

thidau (thidau) wrote :

version ubuntu 20.04, kernel 5.4.0-26

thidau (thidau) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected focal
description: updated
thidau (thidau) wrote : CRDA.txt

apport information

apport information

thidau (thidau) wrote : IwConfig.txt

apport information

thidau (thidau) wrote : Lspci.txt

apport information

thidau (thidau) wrote : Lspci-vt.txt

apport information

thidau (thidau) wrote : Lsusb.txt

apport information

thidau (thidau) wrote : Lsusb-t.txt

apport information

thidau (thidau) wrote : Lsusb-v.txt

apport information

apport information

apport information

apport information

apport information

apport information

thidau (thidau) wrote : RfKill.txt

apport information

thidau (thidau) wrote : UdevDb.txt

apport information

apport information

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
AceLan Kao (acelankao) wrote :

Could you try below command to see if it fixes your issue

echo on | sudo tee /sys/bus/pci/devices/0000:00:1f.3/power/control

AceLan Kao (acelankao) on 2020-04-28
Changed in linux (Ubuntu Focal):
assignee: nobody → AceLan Kao (acelankao)
status: New → In Progress
AceLan Kao (acelankao) wrote :

thidau,

Here is the test kernel which should fix this issue, could you give it a try?
   https://people.canonical.com/~acelan/bugs/lp1875254/

BTW, the kernel version is the same as yours, so you have to remove the installed image before installing the test kernel.
   sudo dpkg -r --force-all linux-image-5.4.0-26-generic

thidau (thidau) wrote :

Hi, I just try the command (echo on | sudo tee /sys/bus/pci/devices/0000:00:1f.3/power/control) and it seems to fix the issue

thidau (thidau) wrote :

Can I remove the kernel on which the system is running without risk ?

AceLan Kao (acelankao) wrote :

Okay, I built another older version of the kernel for testing.
https://people.canonical.com/~acelan/bugs/lp1875254/
BTW, 5.4.0-28 is just released today, maybe you could install that new kernel and then try the test kernel to make sure you have a working kernel installed.

The test kernel on my XPS 13(2020) fixed the same issue as you described and doesn't introduce any regression. The patch applied on top of 5.4.0-21/5.4.0-26 is below commit which also could be found in the directory with the test kernel.

From 6a3916dc7d3dab9a7f41e3619532f928dc19a954 Mon Sep 17 00:00:00 2001
From: Kai Vehmanen <email address hidden>
Date: Tue, 31 Dec 2019 16:00:07 +0200
Subject: [PATCH] drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK
 only

Revert changes done in commit f6ec9483091f ("drm/i915: extend audio
CDCLK>=2*BCLK constraint to more platforms"). Audio drivers
communicate with i915 over HDA bus multiple times during system
boot-up and each of these transactions result in matching
get_power/put_power calls to i915, and depending on the platform,
a modeset change causing visible flicker.

GLK is the only platform with minimum CDCLK significantly lower
than BCLK, and thus for GLK setting a higher CDCLK is mandatory.

For other platforms, minimum CDCLK is close but below 2*BCLK
(e.g. on ICL, CDCLK=176.4kHz with BCLK=96kHz). Spec-wise the constraint
should be set, but in practise no communication errors have been
reported and the downside if set is the flicker observed at boot-time.

Revert to old behaviour until better mechanism to manage
probe-time clocks is available.

The full CDCLK>=2*BCLK constraint is still enforced at pipe
enable time in intel_crtc_compute_min_cdclk().

Bugzilla: https://gitlab.freedesktop.org/drm/intel/issues/913
Fixes: f6ec9483091f ("drm/i915: extend audio CDCLK>=2*BCLK constraint to more platforms")
Signed-off-by: Kai Vehmanen <email address hidden>
Reviewed-by: Matt Roper <email address hidden>
Signed-off-by: Matt Roper <email address hidden>
Link: https://patchwork<email address hidden>
(bacported from commit 1ee48a61aa57dbdbc3cd2808d8b28df40d938e44)
Signed-off-by: AceLan Kao <email address hidden>

tags: added: oem-priority originate-from-1873148 somerville
Changed in linux (Ubuntu):
status: Confirmed → Invalid
AceLan Kao (acelankao) on 2020-04-29
description: updated
Daniel van Vugt (vanvugt) wrote :

The main status for this bug is 'Invalid' which doesn't sound right. Can someone fix that up?

tags: added: ice-lake-flicker
thidau (thidau) on 2020-04-29
Changed in linux (Ubuntu):
status: Invalid → Confirmed
AceLan Kao (acelankao) wrote :

That's a series holder, we're going to fix this issue on focal, so focal status as "in progress".
If "linux (Ubuntu)" is not invalid, it kind of affects the script to determinate if we solved this issue on all series.

Changed in linux (Ubuntu):
status: Confirmed → Invalid
Changed in linux (Ubuntu Focal):
importance: Undecided → High
Daniel van Vugt (vanvugt) wrote :

Note that we're required to ensure fixes are in groovy before focal, so it really should be tracking groovy and not 'Invalid'.

Timo Aaltonen (tjaalton) on 2020-04-30
Changed in linux (Ubuntu Bionic):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Focal):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Fix Committed
thidau (thidau) wrote :

Hi Acelan Kao
I've give a try to your test kernel and I confirm it resolve the display blackout. Great !
Unfortunately I've found a bug while I close the session. Just closing the session freeze the desktop during at leat 2 minutes; when I shutdown it take also a long time with just black screen and underscore before closing.
Hope that's help

Hossein Lotfi (demystifier) wrote :

Hi AceLan
Just another data point on Dell XPS 9300. I had the exact same problem and your test kernel fixed it.

Thanks
-H

AceLan Kao (acelankao) wrote :

Daniel,

This commit is backported from v5.6-rc1, so groovy is not affected.
It'd help to clarify other flicker issues with "ice-lake-flicker" if those bug reporters could try this test kernel.

Thidau,

It looks like you encountered other issues, please file another bug report if you could reproduce it regularly.

Hossein,

Glad to hear it works for you.

no longer affects: linux-oem-osp1 (Ubuntu Eoan)
Changed in linux (Ubuntu Eoan):
status: New → In Progress
AceLan Kao (acelankao) on 2020-05-05
tags: added: originate-from-1874220
Stefan Bader (smb) on 2020-05-06
Changed in linux (Ubuntu Eoan):
importance: Undecided → Medium
Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
tags: added: verification-needed-eoan

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Alex Tu (alextu) on 2020-05-14
Changed in oem-priority:
assignee: nobody → Leon Liao (lihow731)
Launchpad Janitor (janitor) wrote :
Download full text (25.9 KiB)

This bug was fixed in the package linux - 5.4.0-31.35

---------------
linux (5.4.0-31.35) focal; urgency=medium

  * focal/linux: 5.4.0-31.35 -proposed tracker (LP: #1877253)

  * Intermittent display blackouts on event (LP: #1875254)
    - drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only

  * Unable to handle kernel pointer dereference in virtual kernel address space
    on Eoan (LP: #1876645)
    - SAUCE: overlayfs: fix shitfs special-casing

linux (5.4.0-30.34) focal; urgency=medium

  * focal/linux: 5.4.0-30.34 -proposed tracker (LP: #1875385)

  * ubuntu/focal64 fails to mount Vagrant shared folders (LP: #1873506)
    - [Packaging] Move virtualbox modules to linux-modules
    - [Packaging] Remove vbox and zfs modules from generic.inclusion-list

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: use shiftfs hacks only with shiftfs as underlay

  * shiftfs: broken shiftfs nesting (LP: #1872094)
    - SAUCE: shiftfs: record correct creator credentials

  * Add debian/rules targets to compile/run kernel selftests (LP: #1874286)
    - [Packaging] add support to compile/run selftests

  * shiftfs: O_TMPFILE reports ESTALE (LP: #1872757)
    - SAUCE: shiftfs: fix dentry revalidation

  * LIO hanging in iscsit_free_session and iscsit_stop_session (LP: #1871688)
    - scsi: target: iscsi: calling iscsit_stop_session() inside
      iscsit_close_session() has no effect

  * [ICL] TC port in legacy/static mode can't be detected due TCCOLD
    (LP: #1868936)
    - SAUCE: drm/i915: Align power domain names with port names
    - SAUCE: drm/i915/display: Move out code to return the digital_port of the aux
      ch
    - SAUCE: drm/i915/display: Add intel_legacy_aux_to_power_domain()
    - SAUCE: drm/i915/display: Split hsw_power_well_enable() into two
    - SAUCE: drm/i915/tc/icl: Implement TC cold sequences
    - SAUCE: drm/i915/tc: Skip ref held check for TC legacy aux power wells
    - SAUCE: drm/i915/tc/tgl: Implement TC cold sequences
    - SAUCE: drm/i915/tc: Catch TC users accessing FIA registers without enable
      aux
    - SAUCE: drm/i915/tc: Do not warn when aux power well of static TC ports
      timeout

  * alsa/sof: external mic can't be deteced on Lenovo and HP laptops
    (LP: #1872569)
    - SAUCE: ASoC: intel/skl/hda - set autosuspend timeout for hda codecs

  * amdgpu kernel errors in Linux 5.4 (LP: #1871248)
    - drm/amd/display: Stop if retimer is not available

  * Focal update: v5.4.34 upstream stable release (LP: #1874111)
    - amd-xgbe: Use __napi_schedule() in BH context
    - hsr: check protocol version in hsr_newlink()
    - l2tp: Allow management of tunnels and session in user namespace
    - net: dsa: mt7530: fix tagged frames pass-through in VLAN-unaware mode
    - net: ipv4: devinet: Fix crash when add/del multicast IP with autojoin
    - net: ipv6: do not consider routes via gateways for anycast address check
    - net: phy: micrel: use genphy_read_status for KSZ9131
    - net: qrtr: send msgs from local of same id as broadcast
    - net: revert default NAPI poll timeout to 2 jiffies
    - net: tun: record RX queue in skb before do_xdp_gener...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1052.57

---------------
linux-oem-osp1 (5.0.0-1052.57) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1052.57 -proposed tracker (LP: #1876676)

  * Make Dell WD19 dock more reliable after suspend (LP: #1868217)
    - xhci: Ensure link state is U3 after setting USB_SS_PORT_LS_U3
    - xhci: Wait until link state trainsits to U0 after setting USB_SS_PORT_LS_U0
    - xhci: Finetune host initiated USB3 rootport link suspend and resume

  * Packaging resync (LP: #1786013)
    - [Packaging] add libcap-dev dependency

 -- Timo Aaltonen <email address hidden> Mon, 04 May 2020 11:56:26 +0300

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (38.1 KiB)

This bug was fixed in the package linux - 5.3.0-53.47

---------------
linux (5.3.0-53.47) eoan; urgency=medium

  * eoan/linux: 5.3.0-53.47 -proposed tracker (LP: #1877257)

  * Intermittent display blackouts on event (LP: #1875254)
    - drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only

  * Unable to handle kernel pointer dereference in virtual kernel address space
    on Eoan (LP: #1876645)
    - SAUCE: overlayfs: fix shitfs special-casing

linux (5.3.0-52.46) eoan; urgency=medium

  * eoan/linux: 5.3.0-52.46 -proposed tracker (LP: #1874752)

  * alsa: make the dmic detection align to the mainline kernel-5.6
    (LP: #1871284)
    - ALSA: hda: add Intel DSP configuration / probe code
    - ALSA: hda: fix intel DSP config
    - ALSA: hda: Allow non-Intel device probe gracefully
    - ALSA: hda: More constifications
    - ALSA: hda: Rename back to dmic_detect option
    - [Config] SND_INTEL_DSP_CONFIG=m
    - [packaging] Remove snd-intel-nhlt from modules

  * built-using constraints preventing uploads (LP: #1875601)
    - temporarily drop Built-Using data

  * ubuntu/focal64 fails to mount Vagrant shared folders (LP: #1873506)
    - [Packaging] Move virtualbox modules to linux-modules
    - [Packaging] Remove vbox and zfs modules from generic.inclusion-list

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: use shiftfs hacks only with shiftfs as underlay

  * shiftfs: broken shiftfs nesting (LP: #1872094)
    - SAUCE: shiftfs: record correct creator credentials

  * Add debian/rules targets to compile/run kernel selftests (LP: #1874286)
    - [Packaging] add support to compile/run selftests

  * shiftfs: O_TMPFILE reports ESTALE (LP: #1872757)
    - SAUCE: shiftfs: fix dentry revalidation

  * getitimer returns it_value=0 erroneously (LP: #1349028)
    - [Config] CONTEXT_TRACKING_FORCE policy should be unset

  * 5.3.0-46-generic - i915 - frequent GPU hangs / resets rcs0 (LP: #1872001)
    - drm/i915/execlists: Preempt-to-busy
    - drm/i915/gt: Detect if we miss WaIdleLiteRestore
    - drm/i915/execlists: Always force a context reload when rewinding RING_TAIL

  * alsa/sof: external mic can't be deteced on Lenovo and HP laptops
    (LP: #1872569)
    - SAUCE: ASoC: intel/skl/hda - set autosuspend timeout for hda codecs

  * Eoan update: upstream stable patchset 2020-04-22 (LP: #1874325)
    - ARM: dts: sun8i-a83t-tbs-a711: HM5065 doesn't like such a high voltage
    - bus: sunxi-rsb: Return correct data when mixing 16-bit and 8-bit reads
    - net: vxge: fix wrong __VA_ARGS__ usage
    - hinic: fix a bug of waitting for IO stopped
    - hinic: fix wrong para of wait_for_completion_timeout
    - cxgb4/ptp: pass the sign of offset delta in FW CMD
    - qlcnic: Fix bad kzalloc null test
    - i2c: st: fix missing struct parameter description
    - cpufreq: imx6q: Fixes unwanted cpu overclocking on i.MX6ULL
    - media: venus: hfi_parser: Ignore HEVC encoding for V1
    - firmware: arm_sdei: fix double-lock on hibernate with shared events
    - null_blk: Fix the null_add_dev() error path
    - null_blk: Handle null_add_dev() failures properly
    - null_blk: fix spuri...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Karol Diaman (karoldiaman) wrote :

Hi,

I am strugling with the issue of flickering as well on ubuntu 20.04.
When login it keeps flickering the screen.

I've tried both version of the kernel mentioned before:

`https://people.canonical.com/~acelan/bugs/lp1875254/`

unfortunatelly issue persist.

Only fix working for me is mentioned before:

```echo on | sudo tee /sys/bus/pci/devices/0000:00:1f.3/power/control```

but it doesnt solve it always on the first time so sometimes I have to keep running it for until it kick in.

I am using using laptop Dell xps 15.

Could you let me know if there will be any patch released for that or if I can try some other method.

P.S. I was trying as well this:
https://kernel.ubuntu.com/~kernel-ppa/mainline/drm-tip/current/

but didnt succeed with applying patches (i was getting some errors that I could not resolve)

Daniel van Vugt (vanvugt) wrote :

Karol,

Please report a new bug by running:

  ubuntu-bug linux

Launchpad Janitor (janitor) wrote :
Download full text (24.7 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1059.64

---------------
linux-oem-osp1 (5.0.0-1059.64) bionic; urgency=medium

  [ Ubuntu: 5.0.0-52.56 ]

  * CVE-2020-0543
    - SAUCE: x86/cpu: Add a steppings field to struct x86_cpu_id
    - SAUCE: x86/cpu: Add 'table' argument to cpu_matches()
    - SAUCE: x86/speculation: Add Special Register Buffer Data Sampling (SRBDS)
      mitigation
    - SAUCE: x86/speculation: Add SRBDS vulnerability and mitigation documentation
    - SAUCE: x86/speculation: Add Ivy Bridge to affected list

linux-oem-osp1 (5.0.0-1054.59) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1054.59 -proposed tracker (LP: #1881221)

  * Speed up the process of s3 resume (LP: #1876844)
    - PCI/PM: Adjust pcie_wait_for_link_delay() for caller delay
    - PCI/PM: Assume ports without DLL Link Active train links in 100 ms

linux-oem-osp1 (5.0.0-1053.58) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1053.58 -proposed tracker (LP: #1878822)

  * rtl8723bu wifi issue after being turned off (LP: #1878296)
    - rtl8xxxu: Improve TX performance of RTL8723BU on rtl8xxxu driver
    - rtl8xxxu: add bluetooth co-existence support for single antenna
    - rtl8xxxu: remove set but not used variable 'rate_mask'
    - rtl8xxxu: Remove set but not used variable 'vif', 'dev', 'len'

  * Fix Pericom USB controller OHCI/EHCI PME# defect (LP: #1879321)
    - serial: 8250_pci: Move Pericom IDs to pci_ids.h
    - PCI: Avoid Pericom USB controller OHCI/EHCI PME# defect

  * Don't register platform::micmute if the related tokens don't exist
    (LP: #1877275)
    - SAUCE: platform/x86: dell-laptop: don't register platform::micmute if the
      related tokens don't exist

  [ Ubuntu: 5.0.0-49.53 ]

  * disco/linux: 5.0.0-49.53 -proposed tracker (LP: #1878826)
  * Disco update: upstream stable patchset 2020-05-14 (LP: #1878681)
    - remoteproc: Fix wrong rvring index computation
    - mtd: cfi: fix deadloop in cfi_cmdset_0002.c do_write_buffer
    - binder: take read mode of mmap_sem in binder_alloc_free_page()
    - usb: dwc3: gadget: Do link recovery for SS and SSP
    - usb: gadget: udc: bdc: Remove unnecessary NULL checks in bdc_req_complete
    - iio:ad7797: Use correct attribute_group
    - ASoC: q6dsp6: q6afe-dai: add missing channels to MI2S DAIs
    - ASoC: tas571x: disable regulators on failed probe
    - ASoC: wm8960: Fix wrong clock after suspend & resume
    - nfsd: memory corruption in nfsd4_lock()
    - i2c: altera: use proper variable to hold errno
    - rxrpc: Fix DATA Tx to disable nofrag for UDP on AF_INET6 socket
    - net/cxgb4: Check the return from t4_query_params properly
    - xfs: acquire superblock freeze protection on eofblocks scans
    - svcrdma: Fix trace point use-after-free race
    - svcrdma: Fix leak of svc_rdma_recv_ctxt objects
    - PCI: Avoid ASMedia XHCI USB PME# from D0 defect
    - PCI: Move Apex Edge TPU class quirk to fix BAR assignment
    - ARM: dts: bcm283x: Disable dsi0 node
    - cpumap: Avoid warning when CONFIG_DEBUG_PER_CPU_MAPS is enabled
    - net/mlx5: Fix failing fw tracer allocation on s390
    - perf/core: fix parent pid/tid in task exit events
    - bpf, x86_3...

Changed in linux-oem-osp1 (Ubuntu):
status: Invalid → Fix Released
slash851 (karolbednarz) wrote :

Just to give you an update from my case.
- Updated Kernel for latest - didnt work
- Ubuntu to 20.10 (daily build) issue keep persist

Decided to go hard way - backed up all my data and installe fresh 20.10
All works fine

I am thinking the problem could be that I had installed workspaces-grid on 20.04 and that was causing the issue. Didnt show from the beginning only when did one of the updates on 20.04 so I thought one of those updates broke it but moving to 20.10 and having same issue made it clear was not any of the updates. This is only my suspissions reg workspaces-grid - I am not installing it anymore tho.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.4.0-42.46

---------------
linux (5.4.0-42.46) focal; urgency=medium

  * focal/linux: 5.4.0-42.46 -proposed tracker (LP: #1887069)

  * linux 4.15.0-109-generic network DoS regression vs -108 (LP: #1886668)
    - SAUCE: Revert "netprio_cgroup: Fix unlimited memory leak of v2 cgroups"

linux (5.4.0-41.45) focal; urgency=medium

  * focal/linux: 5.4.0-41.45 -proposed tracker (LP: #1885855)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * CVE-2019-19642
    - kernel/relay.c: handle alloc_percpu returning NULL in relay_open

  * CVE-2019-16089
    - SAUCE: nbd_genl_status: null check for nla_nest_start

  * CVE-2020-11935
    - aufs: do not call i_readcount_inc()

  * ip_defrag.sh in net from ubuntu_kernel_selftests failed with 5.0 / 5.3 / 5.4
    kernel (LP: #1826848)
    - selftests: net: ip_defrag: ignore EPERM

  * Update lockdown patches (LP: #1884159)
    - SAUCE: acpi: disallow loading configfs acpi tables when locked down

  * seccomp_bpf fails on powerpc (LP: #1885757)
    - SAUCE: selftests/seccomp: fix ptrace tests on powerpc

  * Introduce the new NVIDIA 418-server and 440-server series, and update the
    current NVIDIA drivers (LP: #1881137)
    - [packaging] add signed modules for the 418-server and the 440-server
      flavours

 -- Khalid Elmously <email address hidden> Thu, 09 Jul 2020 19:50:26 -0400

Changed in linux (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.